AOZ Studio Beta - Bug #2

Mouse Click
01/17/2020 08:19 AM - Baptiste Bideaux

Status: Closed Start date: 01/17/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.3

Affected version: 0.9.2.6

Description

Mouse Click ne fonctionne pas sur le bouton de Droite et la molette.

History

#1 - 01/17/2020 08:54 AM - Francois Lionet

- Status changed from New to Resolved

Corretced, | was using onclick and not onmousedown for the even, only the left button was reported.

#2 - 01/17/2020 09:29 AM - Baptiste Pillot
- Target version changed from 0.9.2.5 t0 0.9.2.6

#3 - 01/17/2020 05:25 PM - Baptiste Pillot
- Affected version set to 0.9.2.5

#4 - 01/18/2020 09:33 AM - Baptiste Bideaux

- Status changed from Resolved to Rejected

- Target version changed from 0.9.2.6 to 0.9.3

- Affected version changed from 0.9.2.5 to 0.9.2.6

Le probléme est résolu, mais il y a une latence de 1 a 2 secondes entre I'appui sur le bouton de la souris, et sa détection.

Le code de test (celui de la documentation 3.8) :

Curs Off
Do
Locate 0,0
M= Mouse Key : Print "Bit Pattern ";Bin$ (M, 8);" Number
Loop

#5 - 02/01/2020 05:44 AM - Baptiste Pillot

- Status changed from Rejected to Closed

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/451
e run : https://www.amos2.fr/run/tickleman/2/

".M

La latence semble plus courte sur mon PC, moins de 1 seconde (mais reste sensible, c'est pas immédiat).
